## xorg-server 1.13.0

=== debian/changelog ===
xorg-server (2:1.13.0-0+zlt1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release.
  * Bump Video ABI to 13.0, serverminver to 2:1.13.0.
  * Bump x11proto-{dri2,gl,randr}-dev in Build-Depends.
  * debian/source/format: 3.0 (quilt)
  * debian/patches:
    - 000_debian-changes.patch: add pre 3.0 (quilt) modified upstream files
    - 02_Add-libnettle-as-option-for-sha1.diff: refresh
    - 03_fix-panning.diff: drop, applied upstream
  * debian/rules:
    - --disable-xcalibrate: removed
    - s/--disable-builddocs/--disable-docs/

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Wed, 20 Sep 2012 01:01:44 +0400

xorg-server (2:1.12.3.902-1) unstable; urgency=low

  * New upstream release candidate
    + glx: Free DRI2 drawable reference to destroyed GLX drawable
      (closes: #681265, #674668)
    + dix: make sure the mask is set for emulated scroll events
      (closes: #684051)
  * 03_fix-panning.diff: disable cursor confinement when panning is enabled
    (closes: #643693)
  * Video ABI bumped to 12.1, serverminver to 2:1.12.3.901.

 -- Julien Cristau <jcristau@debian.org>  Tue, 21 Aug 2012 21:35:25 +0200

xorg-server (2:1.12.3-1) unstable; urgency=low

  * New upstream release.
  * Install /var/lib/xkb/README.compiled in xserver-common.

 -- Julien Cristau <jcristau@debian.org>  Wed, 18 Jul 2012 08:36:57 +0200

xorg-server (2:1.12.1.902-1) unstable; urgency=medium

  [ Julien Cristau ]
  * xvfb-run: kill Xvfb when the script dies.
  * xvfb-run: instead of waiting 3 seconds and hoping that's enough for Xvfb
    to come up (and waiting 2.9 seconds too many in the general case), tell it
    to send us SIGUSR1 when it's ready to accept connections.  This reduces
    "xvfb-run -- xterm -e true" from ~3.2s to ~0.4s on a quick test.
  * xvfb-run: fix xauth handling; setting XAUTHORITY when starting an X server
    isn't actually useful, we need to use the -auth command-line parameter
    instead.  Somehow this seems to have been broken all these years and
    nobody noticed...

  [ Cyril Brulebois ]
  * New upstream release candidate for the 1.12 stable branch:
    - Bring the usual lot of stability fixes.
    - Fix segfault on server shutdown (Closes: #671812).
    - Refactor logging, fixing a format string vulnerability which could lead
      to a denial of service (“only”, thanks to the fortified sources). This
      is CVE-2012-2118 (Closes: #673148).
  * Bump severity to “medium” for those two important fixes.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 20 May 2012 10:52:52 +0200

xorg-server (2:1.12.1-2) unstable; urgency=low

  * Merge from server-1.12-branch up to 22a1953c4a to get:
    - many XI 2.2 fixes.
    - “os: make timers signal-safe”; fixing infinite loops with the
      synaptics tap handling code.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 07 May 2012 01:46:16 +0200

xorg-server (2:1.12.1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 01 May 2012 01:56:32 +0200

xorg-server (2:1.12.0.902-1) experimental; urgency=low

  * New upstream release candidate (1.12.1 RC2).
  * Refresh patches, yay for automated re-indenting…

 -- Cyril Brulebois <kibi@debian.org>  Wed, 11 Apr 2012 19:31:09 +0000

xorg-server (2:1.12.0-1) experimental; urgency=low

  * New upstream release.
  * Bump x11proto-input-dev in Build-Depends and Depends.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 05 Mar 2012 11:18:41 +0100

xorg-server (2:1.11.99.902-1) experimental; urgency=low

  * New upstream release candidate (1.12 RC2):
    - Fix FTBFS on ia64 and mips*.
  * Bump x11proto-input-dev build-dep.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 02 Feb 2012 03:15:00 +0100

xorg-server (2:1.11.99.901-1) experimental; urgency=low

  * New upstream release candidate (1.12 RC1).
  * Bump input ABI and serverminver again.
  * Bump x11proto-input-dev build-dep/dep.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 30 Dec 2011 00:01:35 +0100

xorg-server (2:1.11.99.2-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump input ABI and serverminver again.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 20 Dec 2011 11:39:51 +0100

xorg-server (2:1.11.99.1-1) experimental; urgency=low

  * New upstream release snapshot (on the way to 1.12).
  * Bump libpciaccess-dev, x11proto-input-dev build-deps.
  * Update xserver-xorg-dev's dependencies:
    - Add libpixman-1-dev.
    - Bump x11proto-input-dev.
  * Update serverminver with new server and ABI versions.
  * Drop patches (merged upstream):
    - 07-xfree86-fix-build-with-xv-disabled.diff
    - 15-nouveau.diff

 -- Cyril Brulebois <kibi@debian.org>  Thu, 15 Dec 2011 18:49:10 +0100

xorg-server (2:1.11.2.901-1) unstable; urgency=low

  * New upstream release candidate (1.11.3 RC1):
    - As usual: Fixes for various crashes and correctness issues.
    - In particular: Fix for crash when starting a game (in wine) twice
      (Closes: #637448).
    - Also: Fix crashes with server regeneration (Closes: #649420).
  * Add some lintian overrides:
    - xserver-xorg-core: breaks-without-version against virtual packages
      is perfectly OK.
  * Don't forget to ship xorg.conf.d(5) in xserver-xorg-core.

 -- Cyril Brulebois <kibi@debian.org>  Tue, 29 Nov 2011 17:04:09 +0100

xorg-server (2:1.11.1.902-1) unstable; urgency=low

  * New upstream release candidate (1.11.2 RC2):
    - Fixes for various crashes and correctness issues.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 02 Nov 2011 11:10:03 +0100

xorg-server (2:1.11.1.901-2) unstable; urgency=high

  * Merge from upstream to get CVEs fixed:
    - Fix CVE-2011-4028: File disclosure vulnerability.
    - Fix CVE-2011-4029: File permission change vulnerability.
  * Set urgency to “high” accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Oct 2011 15:04:53 +0200

xorg-server (2:1.11.1.901-1) unstable; urgency=low

  * New upstream release candidate (1.11.2 RC1)

