=== debian/control ===
Source: xorg-server
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
# all the Build-Depends up to x11proto-xf86-dri-dev are for the normal Xorg
# server, and common dependencies for the DIX.
# x11proto-xf86dri-dev and libdrm-dev are for DRI support for the Xorg server.
# x11proto-print-dev and libfreetype6-dev are for Xprint
# everything on is for the DMX and Xnest servers.
Build-Depends:
 debhelper (>= 7),
 quilt,
 lsb-release,
 pkg-config,
 bison,
 flex,
 automake,
 libtool,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-bigreqs-dev (>= 1:1.1.0),
 x11proto-composite-dev (>= 1:0.4),
 x11proto-core-dev (>= 7.0.22),
 x11proto-damage-dev (>= 1.1),
 x11proto-fixes-dev (>= 1:5.0),
 x11proto-kb-dev (>= 1.0.3),
 x11proto-xinerama-dev,
 x11proto-randr-dev (>= 1.4.0),
 x11proto-record-dev (>= 1.13.99.1),
 x11proto-render-dev (>= 2:0.11),
 x11proto-resource-dev,
 x11proto-scrnsaver-dev,
 x11proto-video-dev,
 x11proto-xcmisc-dev (>= 1.2.0),
 x11proto-xext-dev (>= 7.1.99),
 x11proto-xf86bigfont-dev (>= 1.2.0),
 x11proto-xf86dga-dev (>= 2.0.99.1),
 x11proto-xf86vidmode-dev (>= 2.2.99.1),
 xtrans-dev (>= 1.2.2),
 libxau-dev (>= 1:1.0.5-2),
 x11proto-input-dev (>= 2.1.99.6),
 x11proto-dri2-dev (>= 2.8),
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:1.4.2),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.21.8),
 libpciaccess-dev (>= 0.12.901),
 libgcrypt-dev,
 nettle-dev,
 libdbus-1-dev [kfreebsd-any],
 libhal-dev [kfreebsd-any],
 libudev-dev (>= 151-3) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 x11proto-xf86dri-dev (>= 2.1.0),
 libdrm-dev (>= 2.4.3) [!hurd-i386],
 x11proto-gl-dev (>= 1.4.16),
 mesa-common-dev (>= 7.8),
 libgl1-mesa-dev (>= 7.8),
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 1:0.99.2),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.2.99.1),
 x11proto-dmx-dev (>= 1:2.2.99.1),
 libdmx-dev (>= 1:1.0.1),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
# unit tests
 xkb-data,
 x11-xkb-utils,
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-xorg/xserver/xorg-server
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/xserver/xorg-server.git

Package: xserver-xorg-core
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 keyboard-configuration [linux-any kfreebsd-any],
 udev (>= 149) [linux-any],
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.10.2-4)
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Breaks:
 xserver-xorg-video,
 xserver-xorg-video-1.0,
 xserver-xorg-video-1.9,
 xserver-xorg-video-2,
 xserver-xorg-video-4,
 xserver-xorg-video-5,
 xserver-xorg-video-6,
 xserver-xorg-input,
 xserver-xorg-input-2,
 xserver-xorg-input-2.1,
 xserver-xorg-input-4,
 xserver-xorg-input-7,
 xserver-xorg-input-wacom (<< 0.7.8),
 xserver-xorg-input-joystick (<= 1:1.5.0-3),
 xserver-xorg-input-synaptics (<= 1.2.2-1),
 xserver-xorg-input-tslib (<= 0.0.6-3),
 xserver-xorg-input-vmmouse (<= 1:12.6.5-4),
 xserver-xorg-input-wacom (<= 0.10.5+20100415-1),
 xserver-xorg-video-cyrix (<= 1:1.1.0-8),
 xserver-xorg-video-i810 (<< 2:2.4),
 xserver-xorg-video-imstt (<= 1:1.1.0-7),
 xserver-xorg-video-nsc (<= 1:2.8.3-4),
 xserver-xorg-video-sunbw2 (<= 1:1.1.0-5),
 xserver-xorg-video-v4l (<< 1:0.2.0),
 xserver-xorg-video-vga (<= 1:4.1.0-8),
 libgl1-mesa-dri (<< 7.10.2-4),
 libgl1-mesa-dri-experimental (<< 7.10.2-4),
Provides:
 ${videoabi},
 ${inputabi},
Description: Xorg X server - core server
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-core-udeb
XC-Package-Type: udeb
Section: debian-installer
# exclude sparc because of linker errors
Architecture: alpha amd64 armel armhf hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe s390
Depends:
# merged: xserver-common (>= ${source:Version}),
 xkb-data-udeb,
 x11-xkb-utils-udeb,
# disabled: keyboard-configuration [linux-any kfreebsd-any],
 udev-udeb (>= 149) [linux-any],
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 ${videoabi},
 ${inputabi},
Description: Xorg X server - core server
 This is a udeb, or a microdeb, for the debian-installer.

Package: xserver-xorg-dev
Architecture: any
Depends:
 libpixman-1-dev (>= 0.21.8),
 x11proto-core-dev (>= 7.0.22),
 x11proto-input-dev (>= 2.1.99.6),
 x11proto-xext-dev (>= 7.1.99),
 x11proto-video-dev,
 x11proto-randr-dev (>= 1.4.0),
 x11proto-render-dev (>= 2:0.11),
 x11proto-dri2-dev (>= 2.8),
 x11proto-fonts-dev,
 x11proto-xinerama-dev,
 x11proto-kb-dev,
 libxkbfile-dev,
 libpciaccess-dev,
 libpixman-1-dev (>= 0.21.8),
 ${misc:Depends},
Description: Xorg X server - development files
 This package provides development files for the X.Org ('Xorg') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xorg and/or xserver-xorg-core instead.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Description: distributed multihead X server
 Xdmx is a proxy X server that uses one or more other X servers as its
 display device(s). It provides multi-head X functionality for displays that
 might be located on different machines. Xdmx functions as a front-end X server
 that acts as a proxy to a set of back-end X servers. All of the visible
 rendering is passed to the back-end X servers. Clients connect to the Xdmx
 front-end, and everything appears as it would in a regular multi-head
 configuration. If Xinerama is enabled (e.g., with +xinerama on the command
 line), the clients see a single large screen.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xdmx-tools
Architecture: any
Depends:
 xdmx,
 ${shlibs:Depends},
 ${misc:Depends},
Replaces: xdmx (<= 2:1.1.1-10)
Description: Distributed Multihead X tools
 This package provides a collection of tools used for administration of
 the Xdmx server; see the xdmx package for more information.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xnest
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: Nested X server
 Xnest is a nested X server that simply relays all its requests to another
 X server, where it runs as a client.  This means that it appears as another
 window in your current X session.  Xnest relies upon its parent X server
 for font services.
 .
 Use of the Xephyr X server instead of Xnest is recommended.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xvfb
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: xauth
Provides: xserver
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xephyr
Architecture: any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides: xserver
Description: nested X server
 Xephyr is an X server that can be run inside another X server,
 much like Xnest. It is based on the kdrive X server, and as a
 result it supports newer extensions than Xnest, including render and
 composite.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xfbdev
Architecture: linux-any
Depends:
 xserver-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Provides: xserver
Description: Linux framebuffer device tiny X server
 xserver-xfbdev is a Linux framebuffer device tiny X server based on the
 kdrive X server.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 .
 This package is built from the X.org xserver module.

Package: xserver-xorg-core-dbg
Architecture: any
Depends:
 xserver-xorg-core (= ${binary:Version}),
 ${misc:Depends},
Priority: extra
Section: debug
Description: Xorg - the X.Org X server (debugging symbols)
 The Xorg X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The Xorg server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 This package provides debugging symbols for the Xorg X server and associated
 modules.

Package: xserver-common
Architecture: all
Depends:
 x11-common,
 xkb-data,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 xfonts-base,
 xauth,
Replaces: xserver-xorg-core (<< 2:1.5.2)
Description: common files used by various X servers
 This package provides files necessary for all X.Org based X servers.
