=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/xserver
version=3
http://xorg.freedesktop.org/releases/individual/xserver/ xorg-server-(.*)\.tar\.gz
