## xorg-server 1.20.4.10

=== debian/changelog ===
xorg-server (2:1.20.4.10-1+eagle) unstable; urgency=medium

  [ Caihh ]
  * Fix 10th CPU 3D display

  [ zhangyaning ]
  * update

 -- zhangyaning <zhangyaning@uniontech.com>  Thu, 14 Jan 2021 15:54:17 +0800

xorg-server (2:1.20.4.3-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-14347

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 01 Sep 2020 20:48:07 +0800

xorg-server (2:1.20.4-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
    - present/wnmd: Fix use after free on CRTC removal
      (Closes: #920665).
    - xwayland: Replace xwl_window::present_window with
      ::present_flipped (Closes: #921734).

  [ Andreas Boll ]
  * Refresh 07_use-modesetting-driver-by-default-on-GeForce.diff.

 -- Andreas Boll <aboll@debian.org>  Tue, 05 Mar 2019 21:11:12 +0100

xorg-server (2:1.20.3-1) unstable; urgency=medium

  * New upstream release.
    - Disables -logfile and -modulepath when running with elevated
      privileges (CVE-2018-14665).

 -- Andreas Boll <aboll@debian.org>  Thu, 25 Oct 2018 20:15:23 +0200

xorg-server (2:1.20.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes various crashes with xwayland (Closes: #777625, #881891,
      #911146).
    - Fixes a crash when running the X server inside virtualbox
      (Closes: #911680).
  * Drop 08_dont-init-glamor-on-llvmpipe.diff, upstream.
  * Set source format to 1.0.

 -- Andreas Boll <aboll@debian.org>  Thu, 25 Oct 2018 10:19:31 +0200

xorg-server (2:1.20.1-5) unstable; urgency=medium

  [ Timo Aaltonen ]
  * 08_dont-init-glamor-on-llvmpipe.diff: Glamor shouldn't be used on
    llvmpipe, as it might end up crashing the server on a racy bootup.
    (LP: #1792932) (Closes: #907655, #910135)

 -- Andreas Boll <aboll@debian.org>  Wed, 10 Oct 2018 18:23:15 +0200

xorg-server (2:1.20.1-4) unstable; urgency=medium

  [ Julien Cristau ]
  * Disable libunwind in udeb build.
  * Disable libunwind backtraces on mips to work around bug#909242.  Thanks,
    Simon McVittie!

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 26 Sep 2018 13:20:47 +0300

xorg-server (2:1.20.1-3) unstable; urgency=medium

  * xvfb-run*: Update default resolution and bitdepth to match upstream
    defaults.
  * Limit libunwind to archs that actually have it. (Closes: #909240)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 20 Sep 2018 11:26:11 +0300

xorg-server (2:1.20.1-2) unstable; urgency=medium

  * control, rules: Use libunwind for backtracing.
  * 07_use-modesetting-driver-by-default-on-GeForce.diff: Add a patch from
    Fedora to use modesetting on NVIDIA GeForce8 and newer.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 18 Sep 2018 17:27:28 +0300

xorg-server (2:1.20.1-1) unstable; urgency=medium

  [ Julien Cristau ]
  * xvfb-run portability improvements by Eli Schwartz (thanks!):
    + Fix use of deprecated tempfile utility
    + Use builtin `case` to test variable value, rather than external `expr`
    + Use "command -v" rather than "which" (closes: #889676)

  [ Sven Joachim ]
  * Depend on x11proto-dev rather than on the transitional x11proto-*-dev
    packages in xserver-xorg-dev (Closes: #900125).
  * Remove remaining x11proto-*-dev packages from Build-Depends.

  [ Andreas Boll ]
  * New upstream release.
    - exa: Use PictureMatchFormat for source-only picture format
      description (Closes: #900550).
    - modesetting: use drmmode_bo_import() for rotate_fb
      (Closes: #906034, #900658).
  * Drop 07_fix_glamor_fds_from_pixmap.diff, upstream.

 -- Andreas Boll <aboll@debian.org>  Fri, 17 Aug 2018 22:05:00 +0200

xorg-server (2:1.20.0-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Add Breaks on libgl1-mesa-dri older than 18.0.5.

  [ Mike Hommey ]
  * 07_fix_glamor_fds_from_pixmap.diff: Apply 3da999a and 4d5950c from
    upstream to fix an infinite loop in XWayland. Closes: #901883.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 01 Jul 2018 20:07:24 +0300

xorg-server (2:1.20.0-2) unstable; urgency=medium

  * Bump some minimum (build) dependencies.
  * Release to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 24 May 2018 18:23:27 +0200

xorg-server (2:1.20.0-1) experimental; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release candidate. (Closes: #868843)

  [ Emilio Pozuelo Monfort ]
  * New upstream stable release.
  * Update Vcs-* for salsa.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 May 2018 15:04:00 +0200

xorg-server (2:1.19.99.901-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Replace old proto build-deps with x11proto-dev.
  * patches: Refreshed, drop 07 which is upstream.
  * serverminver: Updated.
  * rules: Override dh_clean, and remove cruft left over after a build.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 23 Mar 2018 18:18:38 +0200

xorg-server (2:1.19.6-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Use --sourcedir=debian/tmp/udeb for the udeb package and
    --sourcedir=debian/tmp/main for the rest, so that we don't have
    to specify where the files come from as well as where they should
    be installed to in *.install.
  * Install xorg-server.pc to a multiarch location. Based on a patch
    from Helmut Grohne. Closes: #836453.
  * Move xserver-xorg-legacy to priority optional, as priority extra is
    deprecated.
  * Make calculation of xserver-xorg-core's xinput/video ABI provides more
    robust.
  * Use ${prefix} rather than ${libexecdir} for --with-module-dir, as the
    module dir ends up in the pkg-config file, where libexecdir is not
    defined.

  [ Timo Aaltonen ]
  * New upstream release.
  * 07-glx-do-not-pick-srgb-config-for-32bit-rgba-visual.diff: Add a
    patch from upstream to fix potential issues with mesa git.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Jan 2018 14:11:18 +0200

xorg-server (2:1.19.5-1) unstable; urgency=high

  [ Emilio Pozuelo Monfort ]
  * rules: Try to simplify a bit flags handling and move them

